---
layout: doc-page.html
---

# Contributing

While up to version 1.0.0 ally.js has been developed primarily by only one person, the intention is to get more people aboard. If there is anything about ally.js you'd like to improve, open an issue so we can discuss how you might approach that goal. We've created some docs and rules to give contributors some guidance. Don't worry if you don't understand every single piece of our fuzzy puzzle, we'll help you in any way we can.

ally.js strives to be a general purpose helper library for accessibility concerns. As such, contributions should be applicable to virtually any project and refrain from being overly specific. [GOALS.md](https://github.com/medialize/ally.js/blob/master/GOALS.md) describes the possible future of the project. If you have any expertise or experience to share for those topics, please [open an issue](https://github.com/medialize/ally.js/issues/new) to discuss.

ally.js is *not only* about the library code. All the concepts covered by ally.js need to be explained in such a way that people new to accessibility understand what is going on. To make that happen, you can help improve our documentation or write a tutorial.


## Who can contribute?

*Anyone* can join. *Everything* is done on github in the open. *Everything* is up for discussion.

:::help
Issues tagged with [good first contribution](https://github.com/medialize/ally.js/labels/good%20first%20contribution) have been analyzed and explained. They should provide all details required for your first contribution to ally.js. Feel free to pick one, work on it and send a pull request. If you have questions, please post them to the issue and we'll get back to you.
:::

* You **specialize in accessibility**, but aren't an expert with the JavaScripts? No worries, be the brains, we'll be your code monkeys. See issues tagged with [question](https://github.com/medialize/ally.js/labels/question) or [discussion](https://github.com/medialize/ally.js/labels/discussion).
* You **specialize in JavaScript**, but aren't experienced with that accessibility thing? No worries, I'm sure there's plenty to optimize and refactor and test and so on. You'll probably find something to improve in [`./src`](https://github.com/medialize/ally.js/tree/master/src) or [`./test`](https://github.com/medialize/ally.js/tree/master/test) or issues tagged with [improve](https://github.com/medialize/ally.js/labels/improve).
* You **specialize in writing** things but your accessibility is about as rusty as your JavaScript? Have a look at the docs, I'm sure they can be translated to actual, proper *English*. You'll likely find something in [`./docs`](https://github.com/medialize/ally.js/tree/master/docs) or issues tagged with [website](https://github.com/medialize/ally.js/labels/website) or [documentation](https://github.com/medialize/ally.js/labels/documentation).
* You **specialize in the build pipeline**? Issues tagged with [build](https://github.com/medialize/ally.js/labels/build) might be your thing.
* You **specialize in a framework** or library and would **like to integrate** ally.js? See the issues tagged with [integration](https://github.com/medialize/ally.js/labels/integration) or open a [new issue](https://github.com/medialize/ally.js/issues/new?title=[integrate]%20_your_library_name_%20) to discuss your approach.


## Documentation for contributors

* [Contribution guide on Github](https://github.com/medialize/ally.js/blob/master/CONTRIBUTING.md)
* [Building ally.js](build.md)
* [Documenting ally.js](docs.md)
* [Testing ally.js](testing.md)
* [Releasing ally.js](release.md)


## Acknowledgements

While the project and most of its resources were created by [Rodney Rehm](http://rodneyrehm.de/en/), the following people had *substantial* impact on ally.js:

* [Alice Boxhall](https://twitter.com/sundress)
* [Heydon Pickering](http://www.heydonworks.com/)
* [Marco Zehe](https://www.marcozehe.de/)
* [Marcy Sutton](https://marcysutton.com/)
* [Patrick H Lauke](https://www.splintered.co.uk/)
* [Steve Faulkner](https://twitter.com/stevefaulkner)
* … and probably a few more
